Name:           mysqludf_xql
Version:        0.9.7
Release:        2%{?dist}
Summary:        MySQL UDF library for XML output

Group:          Applications/Databases
License:        LGPLv2+
URL:            http://www.mysqludf.org/lib_mysqludf_xql/
Source0:        http://www.mysqludf.org/lib_mysqludf_xql/lib_%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         lib_mysqludf_xql-0.9.7-autorepair.patch

BuildRequires:  gcc-c++ mysql-devel libxml2-devel
Requires:       mysql

%description
The lib_mysqludf_xql library provides an array of functions, which can be used 
to create XML output directly from MySQL using a single SQL query. 

%prep
%setup -q -n lib_%{name}-%{version}
%patch0 -p1 -b .autorepair
libtoolize -q -f
autoreconf -f


%build
%configure --libdir=`mysql_config --plugindir`
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_libdir}/mysql/plugin/*.{a,la}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc API AUTHORS ChangeLog COPYING NEWS README installdb.sql uninstalldb.sql
%{_libdir}/mysql/plugin/lib_mysqludf_xql.so


%changelog
* Thu Apr  9 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-2
- Inital packaging
